clear, clc, mode(0), close(winsid()) 
////Odhad diskretniho modelu $f(y_t|u_t,\Theta)$ ze simulace

nd=100;   //počet dat 

////známé parametry (pravděpodobnosti) pro simulaci
/// neurčitý model
theta=[.4 .6;        //u_t=1     
      .7 .3 ];       //u_t=2 
      
////deterministický model      
theta=[1 0;        //u_t=1     
      0 1 ];        //u_t=2 



u=(rand(1,nd,'uniform')>.2)+1;   //nagenerujeme alternativní vstup

//////simulace
for t=1:nd
    y(t)=(rand(1,1,'uniform')>theta(u(t),1))+1;//generujeme y
end




///////// Počáteční statistika
ni=zeros(theta); //dimenze podle tabulky parametru

for t=1:nd
  ni(u(t),y(t))=ni(u(t),y(t))+1; // update statistiky
end

theta_odhad=ni./(sum(ni,2)*ones(1,2));  //bodový odhad parametrů



//////Predikce jako simulace s odhadem
for t=1:nd
    yp(t)=(rand(1,1,'uniform')>theta_odhad(u(t),1))+1;//generujeme predikci
end





///// výsledky
disp('theta     theta_odhad',[theta     theta_odhad])

plot(y,'bo','Markersize',10)
plot(yp,'mx','Markersize',10)
set(gca(),"data_bounds",[1, nd, .9, 2.1])
legend('data','predikce');
title('Predikce s odhadem diskrétního modelu','fontsize',5)
ylabel('Data','fontsize',5)
xlabel('Čas','fontsize',5)




