clear, clc, mode(0), close(winsid()) 
////odhad diskretniho modelu $f(y_t|y_{t-1},u_t,\Theta)$ z dat

load data_cv7.sod;
y=doprava;
u=zamestnanci;

nd=size(y,1); // počet dat


///////// Počáteční statistika
ni=zeros(max(u)*max(y),max(y)); //dimenze podle modelu

for t=2:nd
  j=2*(y(t-1)-1)+u(t); // číslo řádku
  ni(j,y(t))=ni(j,y(t))+1; // update statistiky
end

theta_odhad=ni./(sum(ni,2)*ones(1,2));  //bodový odhad parametrů

///// výsledky
disp('Odhad modelu',theta_odhad)

yp(1)=1;
//////Predikce jako simulace s odhadem
for t=2:nd
    j=2*(y(t-1)-1)+u(t);
    yp(t)=(rand(1,1,'uniform')>theta_odhad(j,1))+1;//generujeme predikci
end

plot(y,'bo','Markersize',10)
plot(yp,'r*','Markersize',10)
set(gca(),"data_bounds",[1, nd, .9, 2.1])
legend('data','predikce');
title('Predikce s odhadem diskrétního modelu','fontsize',5)
ylabel('Data','fontsize',5)
xlabel('Čas','fontsize',5)

// Chyba predikce
PE=sum(y~=yp);
Acc=(PE*100)/nd;
disp('Chyba predikce: '+string(Acc)+'%')



