clear, clc, mode(0), close(winsid()), getd()

////Klasifikace s logistickou regresí $f\left(y_{t}|\psi_{t},\theta\right)=\frac{\exp\left\{ y_{t}z_{t}\right\} }{1+\exp\left\{ z_{t}\right\} }$


dataSTK=csvRead('dataSTK.csv',';');
y=dataSTK(:,4);
v=dataSTK(:,1:3);
///y= STK(0=ne, 1=ano), 
///v1= emise oxidu uhličitého v g/km 
//v2=propustnost skel v % 
//v3= vzorek pneumatik v mm



// odhadování s logistickou regresí
[py, pr, yp, b]=lrEst([],y(1:400),v(1:400,:));


// klasifikace s logistickou regresí 
[py, pr, yp]=lrEst(b,y(401:$),v(401:$,:));


//// výsledky
[v(401:$,:) yp y(401:$)]

// Chyba klasifikace
PE=sum(y(401:$)~=yp);
Acc=(PE*100)/length(yp);
disp('Chyba predikce: '+string(Acc)+'%')


//obrázky
v1=dataSTK(401:$,1);v2=dataSTK(401:$,2);v3=dataSTK(401:$,3);

scf(1);
scatter(v1,yp,'.');
title('Klasifikace - emise','fontsize',6);
ylabel('STK','fontsize',5);
xlabel('Emise oxidu uhličitého [g/km]','fontsize',5);
set(gca(),"data_bounds",[min(v1) max(v1) min(yp)-0.5 max(yp)+0.5]); //nastavení os

scf(2);
scatter(v2,yp,'o');
title('Klasifikace - propustnost skel','fontsize',6);
ylabel('STK','fontsize',5);
xlabel('Propustnost skel [%]','fontsize',5);
set(gca(),"data_bounds",[min(v2) max(v2) min(yp)-0.5 max(yp)+0.5]); //nastavení os

scf(3);
scatter(v3,yp,'*');
title('Klasifikace - vzorek pneumatik','fontsize',6);
ylabel('STK','fontsize',5);
xlabel('Vzorek pneumatik [mm]','fontsize',5);
set(gca(),"data_bounds",[min(v3) max(v3) min(yp)-0.5 max(yp)+0.5]); //nastavení os

scf(4);
plot(y(401:$),'bo','MarkerSize',10);
plot(yp,'rx','MarkerSize',10);
title('Validace predikce','fontsize',6);
ylabel('STK','fontsize',5);
xlabel('Čas','fontsize',5);
legend('STK','predikce');
set(gca(),"data_bounds",[0 100 min(yp)-0.5 max(yp)+0.5]); //nastavení os
